#include <windows.h>
#include <winioctl.h>
#include <stdlib.h>
#include <stdio.h>

#include "TVicVar.h"
#include "common.h"
#include "TVicHW32.h"
extern ULONG CtlCode(ULONG Code);

int TrialDaysTotal = -1,
    TrialDaysLeft  = -1;
    TrialCounter   = 0;

int TimerResolution(HANDLE hDrv)
{

int  tmp = 0;	
#ifdef DEMOVERSION
    char buf[200];
#endif

	ULONG Res=0,nByte;
	
	DeviceIoControl(hDrv,CtlCode(GET_FAST_TIMER_RES),NULL,0,&Res,4,&nByte,NULL);
    tmp = 1;
/*
#ifdef DEMOVERSION
	if (Res==GET_FAST_TIMER_RES) tmp = 1;
#else
	if (Res==(~GET_FAST_TIMER_RES)) tmp = 1;
#endif
	if (tmp==0) {
		MessageBox(GetDesktopWindow(),"TVicHW32.dll version does not match TVicHW32 driver version!",
			"Caution!", MB_TOPMOST | MB_OK);
		return 0;
	}
*/

#ifdef DEMOVERSION
	if (TrialDaysLeft>0) 
	{
		if ((GetVersion() & 0x80000000) == 0)
		{
	   
			if (TrialCounter==0){
				wsprintf(buf, "You have %d day(s) left\n\nOrdering is described at\nhttp://www.entechtaiwan.com/tvichw32.htm", TrialDaysLeft);
				MessageBox(0,buf, "TVicHW32 Evaluation Version",MB_ICONSTOP);
			}
		}

	   TrialCounter++;
	}
	else {
	   wsprintf(buf, "Sorry, but your 30-day trial has expired !\nPlease purchase TVicHW32 license at\n\nhttp://www.entechtaiwan.com/tvichw32.htm", TrialDaysLeft);
       MessageBox(0,buf, "TVicHW32 Evaluation Version",MB_ICONSTOP);
       tmp = 0;
	}

#endif

	return tmp;


}

#ifdef DEMOVERSION
void __declspec(dllexport) __stdcall GetTrialDays(int Total, int Left){
 TrialDaysTotal = Total;
 TrialDaysLeft  = Left;
}
#endif